tuxmath (2.0.3-7) unstable; urgency=medium

  * Acknowledge 2.0.3-6.1, thanks Adrian.
  * Bump standards version to 4.5.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, thanks
    lintian-brush.
  * d/changelog: close #861196 in 2.0.3-2 changelog entry.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Feb 2021 17:36:08 +0100

tuxmath (2.0.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 10. (Closes: #976513)

 -- Adrian Bunk <bunk@debian.org>  Mon, 18 Jan 2021 13:55:10 +0200

tuxmath (2.0.3-6) unstable; urgency=medium

  * d/rules:
    - stop overriding dh_autoreconf as the bullseye toolchain defaults to
      linking with --as-needed and reverting this change for a buster
      backport is trivial.
    - stop exporting DEB_LDFLAGS_MAINT_APPEND for the same reasons.
  * Bump debhelper-compat to 13.
  * Add debian/not-installed file with several files not be expected to be
    included in the binary packages. (needed for debhelper-compat=13.)
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 17 May 2020 09:47:55 +0200

tuxmath (2.0.3-5) unstable; urgency=medium

  * d/watch: update for https://github.com/tux4kids/.
  * d/control:
    - point Homepage: to https://github.com/tux4kids/.
    - bump debhelper compat to 11 and use the new debhelper-compat(=11)
      notation and drop d/compat.
    - bump standards version to 4.3.0, no changes needed.
    - add "Rules-Requires-Root: no" to support building as non-root.
    - use canonical URL for Vcs-Git: header.
  * d/changelog: whitespace fixes, thanks lintian.
  * Drop d/source/options, compression = "xz" is the default now.
  * d/rules: stop overriding dh_builddeb as xz compression is the default.
  * d/copyright:
    - point Source: to https://github.com/tux4kids/tuxmath/.
    - use https for Format: URL.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Feb 2019 18:01:54 +0100

tuxmath (2.0.3-4) unstable; urgency=medium

  * tuxmath-data: update path for font symlink so it points to
    /usr/share/fonts/truetype/andika/Andika-R.ttf. (Closes: #905054)
    Thanks to Andreas Beckmann for reporting this issue.
  * Bump standards version to 4.2.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 12 Aug 2018 21:24:40 +0200

tuxmath (2.0.3-3) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 May 2018 12:35:35 +0000

tuxmath (2.0.3-2) unstable; urgency=medium

  * debian/control:
    - Reformatted by 'cme fix dpkg'.
    - Bump Standards-Version to 4.1.1, no changes needed.
    - Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~ and
      remove build-dependency on dh-autoreconf.
    - Drop alternative dependency on ttf-sil-andika as that's already a
      transitional package in oldoldstable.
    - Replace suggests on ttf-wqy-zenhei | ttf-arphic-uming with ones on
      fonts-wqy-zenhei | fonts-arphic-uming for the same reason.
      Closes: #861196.
    - Drop Breaks and Replaces on tuxmath (<< 2.0.3) as that version is part
      of oldstable already.
  * debian/rules: call dh without --no-parallel and without
    "--with autoreconf" as debhelper compat 10 does those by default.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:15:45 +0200

tuxmath (2.0.3-1) unstable; urgency=low

  * New upstream release [May 2011] (Closes: #692729).
  * Build-Depends:
    + libt4k-common0-dev
    - hardening-wrapper
    + dh-autoreconf
  * Arch-independent files are separated to new "tuxmath-data" package.
  * Standards to 3.9.5.
  * Source to "3.0 (quilt)" format.
  * Compat to version 9 + debian/rules rewrite.
  * Build with "--as-needed" to minimise needless linking.
  * Install game binaries to "/usr/lib/tuxmath" and provide
    "/usr/games/tuxmath" symlink.
  * Added "debian/watch" file.
  * "debian/copyright: to copyright-format-1.0 + audit.
  * Updated man page and introduced target to invoke `help2man`.
  * Removed unnecessary versioned dependencies.
  * xz compression for source archive and binary (.deb) packages.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 03 Dec 2013 03:11:38 +1100

tuxmath (1.8.0-5) unstable; urgency=low

  * debian/rules: Build debhelper 9 style using hardening-wrapper.
  * debian/control:
    - Raise Build-Depends: to debhelper (>=9.20120909~) and add
      hardening-wrapper to it.
    - Bump standards version to 3.9.4.
    - Fix VCS-Browser URL.

 -- Holger Levsen <holger@debian.org>  Tue, 28 May 2013 23:50:54 +0200

tuxmath (1.8.0-4) unstable; urgency=low

  * debian/control:
    - update Vcs-Headers as tuxmath is now maintained in git.
    - bump standards version to 3.9.2, no changes needed.
    - depend on either fonts-sil-andika or ttf-sil-andika (Closes: #647532).
      (To ease backporting.)
  * debian/copyright: mention location of upstream GIT repository, instead of
    svn.

 -- Holger Levsen <holger@debian.org>  Thu, 22 Dec 2011 19:39:06 +0100

tuxmath (1.8.0-3) unstable; urgency=low

  * debian/menu: move to section Applications/Education.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Jun 2010 21:24:59 +0200

tuxmath (1.8.0-2) unstable; urgency=low

  * Make debian menu use the .xpm icon.

 -- Holger Levsen <holger@debian.org>  Wed, 19 May 2010 14:07:08 +0200

tuxmath (1.8.0-1) unstable; urgency=low

  * New upstream release, featuring scalable vector graphics and support
    for multiplayer competition plus new translations to Asturian, Kurdish,
    Slovenian and Vietnamese.
  * Add librsvg2-dev and libsdl-net1.2-dev to build-depends.
  * Add ${misc:Depends} to depends.
  * Use upstream SVG icon. (Closes: #531136)
  * Use upstream .desktop file. (Closes: #531137)
  * Bump standards version to 3.8.4, no changes needed.
  * Provide source/format and set it to 1.0.

 -- Holger Levsen <holger@debian.org>  Thu, 13 May 2010 10:57:27 +0200

tuxmath (1.7.2-1) unstable; urgency=low

  * New upstream version, with several bugfixes, new translations and lots of
    other improvements: a new "Campaign Mode" featuring an overall story line,
    a new game activity, "Factoroids", teaching factorization and reduction of
    fractions, a more flexible engine for generating questions and an improved
    fullscreen which now uses the native resolution.
  * For a complete list, see the upstream changelog.
  * Drop debian/patches/100-ttf-sil-andika.patch and build dependency on
    quilt, as it was the only patch.
  * Remove no-op dh_desktop from debian/rules.
  * Bump Standards-version to 3.8.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 09 May 2009 16:35:13 +0200

tuxmath (1.6.3-3) unstable; urgency=low

  * Bump Standards-version to 3.8.0, no changes needed.
  * Add quilt to build-depends.
  * Patch the source to use 1.0 basic release of the ttf-sil-andika fonts and
    not the "design review" version.
  * Add information about AndikaDesRevG.ttf which is included in the upstream
    tarball and therefore in the debian source package to debian/copyright.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Jun 2008 20:31:15 +0000

tuxmath (1.6.3-2) unstable; urgency=low

  * Add suggests to ttf-wqy-zenhei and remove suggests to ttf-arphic-ukai as
    suggested by native speakers.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jun 2008 10:18:36 +0000

tuxmath (1.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #479855) with 16 new translations, making it
    23 translations in total!

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jun 2008 15:02:28 +0000

tuxmath (1.6.1-1) unstable; urgency=low

  * new upstream version which adds French and Dutch translations as well as a
    new login system to keep track of individual student progress
  * updated to comply with policy 3.7.3.0
  * debian/copyright: remove a bogus line and clarify GPL-2 licence
  * increased debhelper compat level to 5
  * use dh_install as intended (with debian/tuxmath.install)
  * use dh_installdoc as intended (with debian/tuxmath.docs)
  * only call "make clean" if Makefile exits

 -- Holger Levsen <holger@debian.org>  Mon, 11 Feb 2008 18:50:54 +0100

tuxmath (1.5.8-2) unstable; urgency=low

  * add depends to ttf-sil-andika

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2007 20:02:34 +0100

tuxmath (1.5.8-1) unstable; urgency=low

  * new upstream version with many bugfixes, localisation, new icons, a new
    high score feature and a feature to keep track of succesfully completed
    lessons
  * updated debian/copyright:
    - updated SVN repo and release URL
    - include the GPL short text
    - added licence information about ConvertUTF* files
  * updated section in debian/menu
  * added Homepage: and Vcs-*: fields to debian/control
  * tuxmath.desktop: now in the category Games/KidsGame
  * debian/menu: changed to Games/Arcade

 -- Holger Levsen <holger@debian.org>  Sat, 17 Nov 2007 22:07:53 +0000

tuxmath (1.5.4-1) unstable; urgency=low

  * new upstream version

 -- Holger Levsen <holger@debian.org>  Fri, 14 Sep 2007 01:22:59 +0200

tuxmath (1.5.3-1) unstable; urgency=low

  * new upstream version with lots of improvements and bugfixes
  * new maintainer address
  * fix pathes in debian/rules for new upstream version
  * cleanup clean target in debian/rules
  * don't ship Makefiles in binary packages
  * added build-dependency on libsdl-ttf2.0-dev, removed the build-dependency
    for autotools-dev, autoconf and automake1.9
  * updated debian/copyright

 -- Holger Levsen <holger@debian.org>  Sun, 02 Sep 2007 22:33:28 +0000

tuxmath (1.0.1-1) unstable; urgency=low

  * new upstream release (two simple bugfixes, documentation updates)
  * added .desktop file - thanks to Oliver Grawert

 -- Holger Levsen <debian@layer-acht.org>  Sun, 19 Nov 2006 10:23:47 +0000

tuxmath (1.0-1) unstable; urgency=low

  * new upstream version (minor bugfixes, code cleanups, build system for
    cross-compiling the windows version on linux, the "1.0 release")

 -- Holger Levsen <debian@layer-acht.org>  Wed,  1 Nov 2006 12:22:44 +0000

tuxmath (0.97-1) unstable; urgency=low

  * new upstream version (new features: dynamically adjust game speed based
    on player performance, summaries of the last ten games are saved games in
    the player's .tuxmath directory, some buxgfixes, improved documentation)
  * added build-depends on autotools-dev, autoconf and automake1.9 plus a
    build-conflicts on autoconf2.13, automake1.4 to build it as intended by
    upstream

 -- Holger Levsen <debian@layer-acht.org>  Sun,  8 Oct 2006 11:04:10 +0000

tuxmath (0.94-1) unstable; urgency=low

  * new upstream version with many fixes and improvements, i.e. config files
    are now supported. For full details see upstream changelog.

 -- Holger Levsen <debian@layer-acht.org>  Wed,  6 Sep 2006 17:12:35 +0200

tuxmath (0.8-1) unstable; urgency=low

  * new upstream version which has a speed parameter in option screen (Closes:
    #352446) and some other enhancements, see doc/CHANGES.txt (since r4) for a
    complete list
  * new upstream maintainer and author, David Bruce - hi & thanks! :)
  * removed old patch ./debian/patches/01fixoptions.dpatch from him, as this
    is now included in the upstream code. Removed build-dependency on dpatch.
  * adapted debian/rules to new upstream version and cleaned it
  * complies with policy 3.7.2

 -- Holger Levsen <debian@layer-acht.org>  Wed, 19 Jul 2006 17:37:54 +0000

tuxmath (0.0.20050316-4) unstable; urgency=low

  * New maintainer (Closes: #348763)
  * included patch to prevent users from deselecting all math operations,
    which leads to a sort of dead-lock (Closes: #336272) Thanks David Bruce!
  * used dpatch to apply this patch
  * updated debian/copyright

 -- Holger Levsen <debian@layer-acht.org>  Sun, 22 Jan 2006 00:27:22 +0000

tuxmath (0.0.20050316-3) unstable; urgency=low

  * Added menu icon (Closes: #319197)

 -- Fabio Brito <fabio@debian-ba.org>  Wed, 20 Jul 2005 16:58:45 -0300

tuxmath (0.0.20050316-2) unstable; urgency=low

  * debian/rules
    * Using dh_installmenu (Closes: #310521)

 -- Fabio Brito <fabio@debian-ba.org>  Tue, 24 May 2005 20:22:23 -0300

tuxmath (0.0.20050316-1) unstable; urgency=low

  * Initial Debian release

 -- Fabio Brito <fabio@debian-ba.org>  Wed, 16 Mar 2005 05:05:28 -0300
